# Required Software

## Versions from 3.13.0

Starting with version 3.13.0, a repository was created on the university's transfer portal, which will henceforth be used as a repository for finished releases: 
[https://transfer.hft-stuttgart.de/gitlab/citydoctor/citydoctorreleases](https://transfer.hft-stuttgart.de/gitlab/citydoctor/citydoctorreleases)

The versions are divided there between CityDoctorValidation and CityDoctorGUI and under these folders there are the corresponding version folders.

### Release Versions

For each CityDoctor variant (CityDoctorValidation or CityDoctorGUI) four different versions are provided for download.
Java runtimes of the Liberica distribution are included in different versions. 

| Version | Description |
| ------- | ------------ |
| CityDoctor*-no-runtime.zip | This version does not include a runtime for Java. If you already have a Java version 17 installed on your PC use this. See [Java](requiredSoftware.md#java) |
| CityDoctor*-win.zip | Includes a Windows Java Runtime to run CityDoctor, no Java needs to be installed. |
| CityDoctor*-lin.zip | Includes a Linux Java Runtime to run CityDoctor |
| CityDoctor*-mac.zip | Includes a Mac Java Runtime to run CityDoctor |

## Versions until 3.12.x

CityDoctor can be downloaded from various sites. The most recent place is a [gitlab repository](https://gitlab.com/volkercoors/CiD4Sim/-/tree/master/CityDoctorExtension). Alternatively, releases are also listed on the [CityDoctor homepage of the BHT](https://projekt.bht-berlin.de/citydoctor2/downloads/). There are always two versions:

* **CityDoctorGUI-3.x.x.zip:** This is the graphical interface including the checks. Suitable for the end user on a desktop PC.
* **CityDoctorValidation-3.x.x.zip:** This is the batch version suitable for integration into servers or other existing systems and has no graphical interface but works file-based as a process.

!!! note
	There are sometimes special versions that have been created for testing different delivery options. Example: CityDoctorGUI-x.x.x-win.zip contains the JavaFX libraries so that a Java environment without JavaFX can also be used.
	
	
### Java

Before CityDoctor version 3.12.x Java 8 is required either as JDK or as JRE. From version 3.12.x Java 17 is required.
!!! warning
	It is important that the installed Java version includes the JavaFX libraries. These are needed for the graphical user interface.

[The Liberica JRE oder JDK](https://bell-sw.com/libericajdk/) has proven itself for use with CityDoctor.

!!! note
	The Liberica distribution is 100% free and open source.

!!! note
	For the development with CityDoctor a JDK is required.